/*
 * Harbor API
 * These APIs provide services for manipulating Harbor project.
 *
 * OpenAPI spec version: 2.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.19
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Error'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Error'));
  } else {
    // Browser globals (root is window)
    if (!root.HarborApi) {
      root.HarborApi = {};
    }
    root.HarborApi.Errors = factory(root.HarborApi.ApiClient, root.HarborApi.Error);
  }
}(this, function(ApiClient, Error) {
  'use strict';

  /**
   * The Errors model module.
   * @module model/Errors
   * @version 2.0
   */

  /**
   * Constructs a new <code>Errors</code>.
   * The error array that describe the errors got during the handling of request
   * @alias module:model/Errors
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>Errors</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Errors} obj Optional instance to populate.
   * @return {module:model/Errors} The populated <code>Errors</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('errors'))
        obj.errors = ApiClient.convertToType(data['errors'], [Error]);
    }
    return obj;
  }

  /**
   * @member {Array.<module:model/Error>} errors
   */
  exports.prototype.errors = undefined;


  return exports;

}));
